%define version 1.0b5
%define release 10mdk

Summary: A WindowMaker Dock CD+Sound Applet
Summary(fr): Dock applet CD pour WindowMaker
Name: WMRack
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Graphical desktop/WindowMaker
BuildRequires: XFree86-devel xpm-devel
Source: WMRack-%{version}.tar.bz2
Patch1: Wmrack-sarestrored.patch.bz2
Icon: wmrack.gif
BuildRoot: /var/tmp/wmrack-root
Patch0: WMRack.patch.bz2

%description
Dock Applet for WindowsMaker

%description -l fr
Dock Applet CD pour WindowMaker.


%changelog
* Thu Feb 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0b5-10mdk
- fix group

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0b5-9mdk
- automatically added BuildRequires

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 1.0b5-8mdk
- Fix group.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0b5-7mdk
- Restoring CFLAGS.
- Don't sa.restored() on alpha (don't ask me why).

* Mon Dec 20 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Patch:
	wmrack: does not segfault anymore when mixer device do not exist.
	cdctrl: dito.

* Thu Nov 6 1999 Damien Krotkine <damien@mandrakesoft.com>
- Make Mandrake compliant.

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake Compliant
- Change group to Interface/Desktops(same as WM)

* Thu Aug  6 1998 Oliver Graf <ograf@fga.de>
- started changelog
- added defines for version and release

%prep
%setup
%patch0 -p 1
%ifarch alpha
%patch1 -p0
%endif


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install

find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;

%files
%defattr(-,root,root)
%doc LICENSE README TODO WARRANTY
/usr/X11R6/bin/wmrack
/usr/X11R6/bin/cdctrl
/usr/X11R6/bin/mixctrl
/usr/X11R6/man/man1/wmrack.1x.bz2
/usr/X11R6/lib//WMRack/clean.style
/usr/X11R6/lib/WMRack/grey.style
